Join us on May 20th for the Content + AI Virtual Summit. Register now
curl -i -X PUT "https://api.box.com/2.0/hub_collaborations/1234" \
-H "box-version: 2025.0" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"role": "editor"
}'{
"id": "12345678",
"type": "hub_collaboration",
"hub": {
"id": "12345",
"type": "hubs"
},
"accessible_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"role": "editor",
"status": "accepted",
"acceptance_requirements_status": {
"terms_of_service_requirement": {
"is_accepted": true,
"terms_of_service": {
"id": "11446498",
"type": "terms_of_service"
}
},
"strong_password_requirement": {
"enterprise_has_strong_password_required_for_external_users": true,
"user_has_strong_password": true
},
"two_factor_authentication_requirement": {
"enterprise_has_two_factor_auth_enabled": true,
"user_has_two_factor_authentication_enabled": true
}
}
}Updates a Box Hub collaboration. Can be used to change the Box Hub role.
curl -i -X PUT "https://api.box.com/2.0/hub_collaborations/1234" \
-H "box-version: 2025.0" \
-H "authorization: Bearer <ACCESS_TOKEN>" \
-H "content-type: application/json" \
-d '{
"role": "editor"
}'{
"id": "12345678",
"type": "hub_collaboration",
"hub": {
"id": "12345",
"type": "hubs"
},
"accessible_by": {
"id": "11446498",
"type": "user",
"name": "Aaron Levie",
"login": "ceo@example.com"
},
"role": "editor",
"status": "accepted",
"acceptance_requirements_status": {
"terms_of_service_requirement": {
"is_accepted": true,
"terms_of_service": {
"id": "11446498",
"type": "terms_of_service"
}
},
"strong_password_requirement": {
"enterprise_has_strong_password_required_for_external_users": true,
"user_has_strong_password": true
},
"two_factor_authentication_requirement": {
"enterprise_has_two_factor_auth_enabled": true,
"user_has_two_factor_authentication_enabled": true
}
}
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
Version header.
2025.0 The ID of the hub collaboration.
Request body for updating an existing Box Hub collaboration.
The level of access granted to a Box Hub. Possible values are editor, viewer, and co-owner.
"editor"
Returns an updated Box Hub collaboration object.
A Box Hub collaboration object grants a user or group access to a Box Hub with permissions defined by a specific role.
The unique identifier for this collaboration.
"12345678"
The value will always be hub_collaboration.
hub_collaboration "hub_collaboration"
The bare basic representation of a Box Hub.
Show child attributes
A mini representation of a user, can be returned only when the status is pending.
Show child attributes
The level of access granted to a Box Hub. Possible values are editor, viewer, and co-owner.
"editor"
The status of the collaboration invitation. If the status is pending, login and name return an empty string.
accepted, pending, rejected "accepted"
Show child attributes
Was this page helpful?